#!/bin/bash
set -e
cd `dirname $0`
export PIP_DOWNLOAD_CACHE=`pwd`/../pip_cache
cat ../openmedialibrary/requirements.txt \
    | grep -v lxml \
    | grep -v pyopenssl \
    | grep -v pyCrypto \
    | grep -v pillow \
    | grep -v simplejson \
    > requirements.txt
echo setuptools >> requirements.txt
echo six >> requirements.txt
mkdir old
test -e lib && mv lib old/
test -e bin && mv bin old/

rm -rf p34 p35

virtualenv -p /usr/bin/python3.4 p34
p34/bin/pip3 install -r requirements.txt

mkdir -p lib/python3.4
mv p34/lib/python3.4/site-packages lib/python3.4/site-packages

virtualenv -p /usr/bin/python3.5 p35
p35/bin/pip3 install -r requirements.txt
for f in site-packages/ed25519/_ed25519.cpython-35m-i386-linux-gnu.so \
    site-packages/sqlalchemy/cprocessors.cpython-35m-i386-linux-gnu.so \
    site-packages/sqlalchemy/cresultproxy.cpython-35m-i386-linux-gnu.so \
    site-packages/sqlalchemy/cutils.cpython-35m-i386-linux-gnu.so
do
    cp p35/lib/python3.5/$f lib/python3.4/$f
done

rm -r p34 p35 old requirements.txt
